Bug 589866 - Review Request: darktable - Utility to organize and develop raw images
Review Request: darktable - Utility to organize and develop raw images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: 565666 589868 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 03:12 EDT by Edouard Bourguignon
Modified: 2010-10-14 19:05 EDT (History)
17 users (show)

See Also:
Fixed In Version: darktable-0.6-9.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 10:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2010-05-07 03:12:18 EDT
This is a new review request for darktable since the original demand by ibrahim eser was closed (cf bug #565666).

Description:  
darktable is a virtual lighttable and darkroom for photographers: it manages
your digital negatives in a database and lets you view them through a zoomable
lighttable. It also enables you to develop raw images and enhance them. 

Here are my specs and rpms:
http://www.linuxed.net/~madko/fedora/darktable.spec
http://www.linuxed.net/~madko/fedora/darktable-0.5-2.fc12.src.rpm

But some Errors and warnings remain:

darktable.x86_64: E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so
darktable.x86_64: W: shared-lib-calls-exit /usr/lib64/libdarktable.so
exit@GLIBC_2.2.5
darktable.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/darktable
['/usr/lib64']
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

But not sure how to fix them. Any idea?
Comment 1 Peter Lemenkov 2010-05-07 05:39:56 EDT
*** Bug 589868 has been marked as a duplicate of this bug. ***
Comment 2 Howard Ning 2010-05-09 13:44:40 EDT
For the soname problem, it is ignored in this package:
https://bugzilla.redhat.com/show_bug.cgi?id=477570
Comment 3 Chen Lei 2010-05-11 08:49:50 EDT
1.missing
Comment 4 Chen Lei 2010-05-11 08:51:21 EDT
*** Bug 565666 has been marked as a duplicate of this bug. ***
Comment 5 Edouard Bourguignon 2010-05-13 08:21:24 EDT
For the exit calls and the rpath problem I will try to contact the author. For the warning about the gconf schema file I only have to mark it as %config ? Or I have to follow these instructions http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf ?
Comment 6 Chen Lei 2010-05-13 08:53:38 EDT
(In reply to comment #5)
> For the exit calls and the rpath problem I will try to contact the author.
You can ask the author to build libdarktable as a static lib.

 For
> the warning about the gconf schema file I only have to mark it as %config ? Or
> I have to follow these instructions
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf ?    
Yes, you should follow this guideline.
Comment 7 Dmitrij S. Kryzhevich 2010-06-26 00:21:33 EDT
Everything had stopped?

Still waiting for including.
Comment 8 Edouard Bourguignon 2010-06-26 07:30:01 EDT
Sorry, I was on vacation.
The author told me to use the sources from their git repository. I will try that.
Comment 9 Mikko Huhtala 2010-07-02 02:21:58 EDT
I tried building a git snapshot taken on 2010-07-01 with the given spec file on 32-bit Fedora 13. At least the following seem to be missing from BuildRequires:

libtool

OpenEXR-devel

libgphoto2-devel

libcurl-devel

dbus-glib-devel

gcc-c++


Configure now says'--disable-rpath' is a unrecognized option, so I took it out. Configure completes without errors, but I still had a problem with libdarktable.so.
Comment 10 Edouard Bourguignon 2010-07-02 12:20:48 EDT
I also have to add this BuildRequires, but not sure about gcc-c++ (on 2010-06-25 git sources). I will check that and upload my specs and rpms soon.
I try to follow the guidelines about versioning, is darktable-0.5-<date>git a good way to version it?
Comment 11 Dmitrij S. Kryzhevich 2010-07-07 01:48:25 EDT
Is git version is really needed for review? May be it would be better to focus on release version and continue work on future version (including git) in work-flow regime? (git is the way to get a patch, if it is exist, for problems resolving IMHO; but not for review process)

Two months passed from this entry opened and 5 (five!) months from darktable review began. Just want something will move further already :)
Comment 12 Edouard Bourguignon 2010-07-07 15:20:44 EDT
There is just one big problem with the release version (0.5):

darktable.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/darktable
['/usr/lib64']

Do you know how to fix this? The author of darktable suggest me to use the git version to fix this problem, may be I could ask him to point me the patch that fix this and apply it on the 0.5 release version?
Comment 13 manuel wolfshant 2010-07-19 17:36:30 EDT
if you cannot fix the rpath at compile time, maybe one of the advices from http://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath can help

Mind that there is nothing wrong in packaging git snapshots.. as long as they are either stable OR used only in rawhide.
Comment 14 Edouard Bourguignon 2010-07-20 03:04:44 EDT
I fix the rpath with chrpath --delete on the release version, is that correct?

what remain:
darktable.x86_64: E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so
darktable.x86_64: W: shared-lib-calls-exit /usr/lib64/libdarktable.so exit@GLIBC_2.2.5
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

I think the shared-lib-calls-exit is fixed in the git version, will check that.

spec file:
http://www.linuxed.net/~madko/fedora/darktable.spec

(S)RPMs:
http://www.linuxed.net/~madko/fedora/darktable-0.5-3.fc12.src.rpm
http://www.linuxed.net/~madko/fedora/darktable-0.5-3.fc12.x86_64.rpm
Comment 15 Wade Mealing 2010-08-01 15:35:53 EDT
E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so

I think is because it needs a version number (libdarktable-0.5.3.so ?)

The shared-lib-calls-exit /usr/lib64/libdarktable.so
exit@GLIBC_2.2.5

You could find the exit call in the library, and patch it out.. although the exit condition should be managed by libdarktable, wherever the offending function  is called.

W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas 

Usually this file should be marked in the files %config section of the spec file. I'd check another package to see how they manage the /etc/gconf/schemas/* files in the build spec file.

Edouard, are you going to repost for F13/F14 ?
Comment 16 Dmitrij S. Kryzhevich 2010-08-03 08:04:33 EDT
http://depositfiles.com/files/45s5jqq01 - my src.rpm. It contains: cleaned darktable.desktop and fix for rpath. Fixing is in moving libdarktable.so to propper place - $libdir/darktable. Checked - works for me.

# rpmlint darktable-0.5-2.fc13.src.rpm darktable-0.5-2.fc13.x86_64.rpm 
darktable.src: W: spelling-error %description -l en_US lighttable -> light table, light-table, lighterage
darktable.src: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Please, feel free to ask me for something else :)
*still waiting for including* *sigh*
Comment 17 Dmitrij S. Kryzhevich 2010-08-03 08:12:33 EDT
(In reply to comment #15)
> E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so
> 
> I think is because it needs a version number (libdarktable-0.5.3.so ?)

I think it is a result of wrong position. I do not see why it need to be versionized.

> The shared-lib-calls-exit /usr/lib64/libdarktable.so
> exit@GLIBC_2.2.5
> 
> You could find the exit call in the library, and patch it out..

Whule this library is used only for darktable itself there is no need for such cleanup (but, it is done in git). I suppose now it could be acceptable.


> W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas 

It is not config fle in general meaning. Warning have no scence. So, %config(noreplace) not needed.

I'v looked in couple of packages (i.e. shotwell), contained scemas, they done as %{_sysconfdir} only.
Comment 18 Dmitrij S. Kryzhevich 2010-08-03 08:42:59 EDT
rpath patch was accepted by upstream.
Comment 19 Dmitrij S. Kryzhevich 2010-08-04 02:08:43 EDT
spec for git version (could be used for future release): http://depositfiles.com/files/7darfe76x

# rpmlint darktable-0.5.59-2.git6b628ce.fc13.src.rpm darktable-0.5.59-2.git6b628ce.fc13.x86_64.rpm 
darktable.src: W: spelling-error %description -l en_US lighttable -> light table, light-table, lighterage
darktable.src: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
darktable.x86_64: W: dangerous-command-in-%pre rm
darktable.x86_64: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

dangerous-command-in-*: supposed scripts contain it. Skipped.
Patch: remove Encoding value from darktable.desktop.
Problem: no icon for darktable in menu. Can't undestand why.
Comment 20 Dmitrij S. Kryzhevich 2010-08-04 04:19:09 EDT
Suddenly icon appeared. Still do not know - why. Testing needed. After reinstall  (remove, cache drop, install) icon present.
Looks like my problem.

I'l try to push Encoding entry in darktable.desktop removing in upstream. But at least it could be remain as a patch.
Comment 21 Dmitrij S. Kryzhevich 2010-08-04 05:13:52 EDT
Sorry for flood.

Patch for .desktop is accepted by upstream. For future 0.6 release (and current b578cba git) it's not needed.

Btw, it's planning to release in the first half of august.

Btw, latest spec: http://depositfiles.com/files/5chv5zkbj
Comment 22 Dmitrij S. Kryzhevich 2010-08-17 23:30:31 EDT
Hm. Ping?

And as a tradition: latest spec, add gnome-keyring to BR http://depositfiles.com/files/35mutjy2z
Comment 23 Edouard Bourguignon 2010-08-19 03:20:26 EDT
I'm a bit lost, where is your rpath patch? I'd like to include it in my darktable package. Or the chrpath --delete is good enough?
Comment 24 Dmitrij S. Kryzhevich 2010-08-22 21:54:20 EDT
(In reply to comment #23)
> I'm a bit lost, where is your rpath patch?

Rpath patch: http://fpaste.org/ru5O/ (there "View raw" link is trying to hide :) ).

In the nearest future (at the end of August) 0.6 will be released (with this patch included), may be it will be better to wait for a wile.
Comment 25 Dmitrij S. Kryzhevich 2010-08-29 23:41:09 EDT
Darktable 0.6 is out!


# rpmlint darktable-0.6-1.fc13.src.rpm darktable-0.6-1.fc13.x86_64.rpm darktable-debuginfo-0.6-1.fc13.x86_64.rpm 
darktable.src: W: spelling-error %description -l en_US lighttable -> light table, light-table, lighterage
darktable.src: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
darktable.x86_64: W: dangerous-command-in-%pre rm
darktable.x86_64: W: dangerous-command-in-%post rm
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Spec: http://depositfiles.com/files/j6lwrecol
Srpm: http://depositfiles.com/files/krwpg7dm7

Patch is needed to truncate wrong space. Only one space, but is is an error.

I think, now is culd go further?
Comment 26 Edouard Bourguignon 2010-08-30 17:14:24 EDT
Here are my last files:
Spec: http://www.linuxed.net/~madko/fedora/darktable.spec
SRPM: http://www.linuxed.net/~madko/fedora/darktable-0.6-5.fc13.src.rpm
i386: http://www.linuxed.net/~madko/fedora/darktable-0.6-5.fc13.i686.rpm
x64 : http://www.linuxed.net/~madko/fedora/darktable-0.5-3.fc12.x86_64.rpm

Build is fine under mock, rpmlint output:
darktable.i686: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

darktable.i686: W: dangerous-command-in-%pre rm
darktable.i686: W: dangerous-command-in-%post rm

The rm are from the gconf-schema guidelines can we ignore them?


PS: Sorry Dimitrij can't get your files from depositfiles.
Comment 27 Dmitrij S. Kryzhevich 2010-08-30 21:34:19 EDT
(In reply to comment #26)

> Build is fine under mock, rpmlint output:
> darktable.i686: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
> A non-executable file in your package is being installed in /etc, but is not a
> configuration file. All non-executable files in /etc should be configuration
> files. Mark the file as %config in the spec file.

Hm.


> PS: Sorry Dimitrij can't get your files from depositfiles.

May be you can suggest another file storage? I haven't my own.

Diff between yours:
1.
%configure --disable-schemas \                                                                                                        
           --disable-static
-------------------------------------------
First - might be clear, second - not to make static libs.

2.
%post                                                                                                                                 
update-desktop-database &> /dev/null ||:                                                                                              
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
-------------------------------------------
First - register .desktop file, second - update icons db.

3.
%postun                                                                                                                               
update-desktop-database &> /dev/null || :                                                                                             
if [ $1 -eq 0 ] ; then                                                                                                                
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null                                                                           
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :                                                                  
fi                                                                                                                                    
                                                                                                                                      
%posttrans                                                                                                                            
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
-------------------------------------------
The same.

4.
In .desktop patch I'm removing only one space char but not empty strings, they are allowed.

5. I haven't Requires(pre/post/preun). In Fedora they are not required, only in RHEL. Do you want to maintain darktable in RHEL?

6. %gconf_schema_* can work with argument without .schemas (i.e. %gconf_schema_prepare darktable). I don't know, is it even correct to add .schemas. But - I don't know, so if it works - it works. In examples .schemas omitted.
Comment 28 Edouard Bourguignon 2010-08-31 02:18:37 EDT
Hi Dmitrij,

I will add all your diff and of course credit them to you in the changelog, is that ok?

1. I remember trying the --disable-schemas without making any change in the result. Maybe I haven't look in the right place. 

2. and 3. are ok for me, just forgot to do this steps

4. Will hunt this one space char and let the empty lines

5. Didn't know that, I've just followed the package guidelines about gconf schemas.

6. I've just followed this http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf guidelines, I don't know much more about schemas...
Comment 29 Dmitrij S. Kryzhevich 2010-08-31 03:35:49 EDT
Hi,

>is that ok?
Sure.

>1. I remember trying the --disable-schemas without making any change in the result
If --disable-schemas does not affect anything it could be dropped ofcause.

>4. Will hunt this one space char and let the empty lines
This change already in git, 0.6.1 will not require it.

>5. Didn't know that, I've just followed the package guidelines about gconf
schemas.
Hm. Can't found where I'v read this. So, if I cann't show the source, I can't insist on it.

>6. I've just followed this
From source:

>If the old schema was named foo.schemas and the new schema is named foobar.schemas you'd use:
>%gconf_schema_prepare foobar
Comment 30 Edouard Bourguignon 2010-08-31 12:07:12 EDT
So here are the latest files, with your suggestions Dmitrij:
Spec: http://www.linuxed.net/~madko/fedora/darktable.spec
SRPM: http://www.linuxed.net/~madko/fedora/darktable-0.6-6.fc13.src.rpm
i386: http://www.linuxed.net/~madko/fedora/darktable-0.6-6.fc13.i686.rpm
x64 : http://www.linuxed.net/~madko/fedora/darktable-0.6-6.fc12.x86_64.rpm

The gconf schemas file still has issues with rpmlint. The macros (%gconf_schema_*) from
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf create some "rm" in the scripts. Despite those warnings I hope this is correct.
I have checked some other packages that deal with gconf schema files and they don't use those macros so is the http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf up to date and correct?

---
rpmlint:
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

darktable.x86_64: W: dangerous-command-in-%pre rm
darktable.x86_64: W: dangerous-command-in-%post rm
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
---
Comment 31 Dmitrij S. Kryzhevich 2010-08-31 21:26:18 EDT
Some words to add.

With --disable-static you are not need any more:
>find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

Then:
>Patch0: darktable-%{version}_desktop.patch
It is not propper to use macroses (%{name}, %{version}, etc) in patch name. Some Fedora-specific (or any else) patches could move from one version to another without changes. In _this_ case it does not make any sense, but in general - does.

And - yeah! I'm writen into history! :)
Comment 32 Edouard Bourguignon 2010-09-10 02:20:59 EDT
Ok I will remove the deletion of the *.a files. For the patch I added the version because I thought the desktop file will be fixed upstream.
Comment 33 Peter Lemenkov 2010-09-10 04:10:36 EDT
I'll review it and I can sponsor Edouard
Comment 34 Peter Lemenkov 2010-09-19 13:48:01 EDT
Koji scratchbuild for F-13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2476044

+/- rpmlint isn't completely silent:

work ~/Desktop: rpmlint darktable-*
darktable.i686: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
darktable.i686: W: dangerous-command-in-%pre rm
darktable.i686: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
work ~/Desktop:

Should /etc/gconf/schemas/darktable.schemas be really treated as unchangeable by user?

- The package does NOT meet the Packaging Guidelines fully:

1. Please, remove the following directory $RPM_BUILD_ROOT%{_datadir}/doc/darktable at the end of  %install section - you later marked all necessary files as docs and they will be automatically installed by rpmbuild properly (with name and version of package).
2. Typo in one %changelog entry:
* Fri Sep 10 2010 Edouard Bourguignon <<madko@linuxed.net>
note -  double forward angle bracket.
3. BuildRequires:  gegl-devel mentioned twice. Please remove the first one.\
4. Please, take a look at the build logs. What warns me is basically two things. First, message "configure: WARNING: unrecognized options: --disable-schemas" - please fix/remove it. Second - although build data was built, I found this message during configuration - "checking whether to enable debugging... no". What this message means exactly? Does that mean some kind of run-time logging or something to deal with "strip"?
5. During configure stage the application performs the following test - "checking pkg-config is at least version 0.22... yes", and you didn't specify the required number of pkg-config in spec-file - please fix that.
6. Regarding %{withgegl} macro - I believe that the proper form is %{with_gegl} (note the underscore). Please try to rebuild --with-gegl and see whether this switch is actually working or not.
7. Bundled library - src/LibRaw. It was already packaged for Fedora, so please remove it and build against system-wide copy (you should patch application if it doesn't allow this). Or please explain why it can't be done simply (forked and patched copy of library, as example).


That's all so far.
Comment 35 Edouard Bourguignon 2010-09-20 05:50:06 EDT
Thank you Peter for your review, I will fix that as soon as possible. Note sure to know how to fix 4. and 7.
Comment 36 Peter Lemenkov 2010-09-20 05:58:58 EDT
(In reply to comment #35)
> Thank you Peter for your review, I will fix that as soon as possible. Note sure
> to know how to fix 4. and 7.

Regarding 4 - I just cheched sources - it adds more verbose output somewhere in sources. I believe it's safe for uns to NOT to enable this option since it has nothing with debugging symbols for GDB.

As for --disable-schemas - just remove this configure switch. It seems that it was removed entirely.

I'll take a look at the №7 issue more closely in a couple of hours.
Comment 37 Edouard Bourguignon 2010-09-20 06:17:52 EDT
Done or fixed:
2. 
3. 
5. 
6. 

What remains:
1. if I remove this directory rpmbuild complains that it can't find files in /usr/share/doc/darktable
4. Will look at the log asap
7. Will try to check that asap

Spec: http://www.linuxed.net/~madko/fedora/darktable.spec
SRPM: http://www.linuxed.net/~madko/fedora/darktable-0.6-8.fc13.src.rpm
i386: http://www.linuxed.net/~madko/fedora/darktable-0.6-8.fc13.i686.rpm
x64 : http://www.linuxed.net/~madko/fedora/darktable-0.6-8.fc12.x86_64.rpm
Comment 38 Peter Lemenkov 2010-09-20 06:33:06 EDT
Again regarding №4 - you already addressed all my complaints by removing obsolete configure switch. My concerns were that not using debug-related switch may cause issues with generating debuginfo but I checked ant it seems that this switch has nothing to do with GDB data.

So just proceed with issue №7.

As for №1, I'll take a look again, but I'm suspecting that you removed it in the wrong way (for example, only from %files but not from rpm_build_root).

One more (mostly cosmetic) issue - please consistently use macros. Sometimes you;re using %{buildroot} and sometimes  $RPM_BUILD_ROOT. Please use only one of these two.
Comment 39 Peter Lemenkov 2010-09-22 05:41:06 EDT
Edouard, I did some little investigation, and found that LibRaw is neither in Fedora nor pending review, so you may ignore my complaint regarding bundled LibRaw. We should postpone resolution of this issue until LibRaw will be included in Fedora.

So the only issue left is №1. I'm investigating it right now. Stay tuned.
Comment 40 Peter Lemenkov 2010-09-22 05:50:11 EDT
Ok, I added the following like at the end of %install section:

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/darktable

and was managed to build darktable:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2481199

See - no duplicated doc files. So, please, add the line above to your spec, upload it and I'll finish this review.
Comment 41 Edouard Bourguignon 2010-09-24 08:29:37 EDT
That was exactly the same line I added as I said in Comment #37. I'm trying again maybe I was not awake.

I see duplicated docs too:
/usr/share/doc/darktable and /usr/share/doc/darktable-0.6
I guess the best to keep is the one with the version? So I need to change my files section %doc %{_datadir}/doc/darktable to %doc %{_datadir}/doc/darktable-%{version} ?
Comment 42 Peter Lemenkov 2010-09-24 08:42:22 EDT
(In reply to comment #41)
> That was exactly the same line I added as I said in Comment #37. I'm trying
> again maybe I was not awake.
> 
> I see duplicated docs too:
> /usr/share/doc/darktable and /usr/share/doc/darktable-0.6
> I guess the best to keep is the one with the version? So I need to change my
> files section %doc %{_datadir}/doc/darktable to %doc
> %{_datadir}/doc/darktable-%{version} ?

Nope. Just keep

%doc README AUTHORS LICENSE TRANSLATORS

This line tells rpmbuild that it needs to explicitly create  /usr/share/doc/darktable-0.6 and install the mentioned files into this directory.
Comment 43 Edouard Bourguignon 2010-09-24 09:52:34 EDT
Ok so the problem was in my files section because I did't have %doc README AUTHORS LICENSE TRANSLATORS. I added the rm and modified the files section,now it's building fine.

Here are the latest files, I hope they will be ok:
http://www.linuxed.net/~madko/fedora/darktable.spec
SRPM: http://www.linuxed.net/~madko/fedora/darktable-0.6-9.fc13.src.rpm
i386: http://www.linuxed.net/~madko/fedora/darktable-0.6-9.fc13.i686.rpm
x64 : http://www.linuxed.net/~madko/fedora/darktable-0.6-9.fc13.x86_64.rpm

Thank you Peter for the review.
Comment 44 Peter Lemenkov 2010-09-24 09:56:30 EDT
In fact you did have "%doc README AUTHORS LICENSE TRANSLATORS" in your spec. And now you added it twice :)
Comment 45 Edouard Bourguignon 2010-09-24 10:11:03 EDT
oops :p
I'm uploading the files again
Comment 46 Edouard Bourguignon 2010-09-24 10:19:23 EDT
Ok files have been uploaded, same urls.
Comment 47 Peter Lemenkov 2010-09-24 10:25:15 EDT
Ok, looks good now. 

Edouard, what's your FAS name?
Comment 48 Edouard Bourguignon 2010-09-24 10:29:27 EDT
Great! 

My FAS Name is "madko"
Comment 49 Peter Lemenkov 2010-09-24 13:49:05 EDT
Oh, it seems that you're already sponsored by Mamoru Tasaka, so all I need so far is to say that this package is 


APPROVED.
Comment 50 Edouard Bourguignon 2010-09-25 04:30:40 EDT
Great :)
Comment 51 Peter Lemenkov 2010-09-25 04:46:59 EDT
(In reply to comment #50)
> Great :)

Don't forget to provide actual SCM request as described here:

https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 52 Edouard Bourguignon 2010-09-25 05:00:27 EDT
New Package SCM Request
=======================
Package Name: darktable
Short Description: Utility to organize and develop raw images
Owners: madko
Branches: F-12 F-13 F-14
InitialCC:
Comment 53 Kevin Fenzi 2010-09-26 14:49:10 EDT
Git done (by process-git-requests).
Comment 54 Edouard Bourguignon 2010-09-27 04:52:33 EDT
Thank you everyone
Comment 55 Fedora Update System 2010-09-27 05:41:38 EDT
darktable-0.6-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/darktable-0.6-9.fc13
Comment 56 Fedora Update System 2010-09-27 05:41:46 EDT
darktable-0.6-9.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/darktable-0.6-9.fc12
Comment 57 Fedora Update System 2010-09-27 05:41:55 EDT
darktable-0.6-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/darktable-0.6-9.fc14
Comment 58 Fedora Update System 2010-09-27 16:07:38 EDT
darktable-0.6-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update darktable'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/darktable-0.6-9.fc14
Comment 59 Fedora Update System 2010-10-14 10:10:53 EDT
darktable-0.6-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 60 Fedora Update System 2010-10-14 19:02:52 EDT
darktable-0.6-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 61 Fedora Update System 2010-10-14 19:05:36 EDT
darktable-0.6-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.